{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Semester Marks Upload
{% endblock %}

{% block rightPane %}
    
        <div class="row" xmlns="http://www.w3.org/1999/html">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        <i class="icomoon icon-calendar"></i> Marks Upload
                    </h2>
                    <div class="clearfix"></div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form class="form-horizontal form-label-left" method="POST">{% csrf_token %}

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Department
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="department" id="department" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                        {% for each in departmentList %}
                                            <option value="{{ each.pk }}">{{ each }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Batch
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="batch" id="batch" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                        {% for each in batchList %}
                                            <option value="{{ each.pk }}">{{ each }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                    <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
       <form id="fileform" method="post" enctype="multipart/form-data" action="{% url "upload_result_file" %}">
        {% csrf_token %}
           <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Semester
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="semester" id="semester" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                    </select>
                                </div>
                            </div>
           <br><br>
           <div class="form-group">
           <div class="col-md-6 col-sm-6 col-xs-12">
           <input type="hidden" id="xlsheet1" name="xlsheet" placeholder="Browse to upload files" ></div></div>

            <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12">
            <input type="hidden" id="submit1" value="upload"></div></div>
        </form>
    

            </div>
        </div>
   

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $(document).on("change", '#department', function (e) {
            var departmentPk = $('#department').val();
            var batchPk=$('#batch').val();
            if (batchPk!=null && departmentPk!=null){

            $.ajax({
                type: "POST",
                data: {
                    departmentPk: departmentPk,
                    batchPk : batchPk,
                    action: 'getSemesters',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'upload_result_file' %}',
                success: function (data) {
                    if (data.semesterList.length == 0) {
                        alert('No Semesters');
                    }

                    $('#semester').empty();
                    
                    var i;
                    var len=data.semesterList.length
                    var temp;
                    for (i = 0; i<len; i++) {
                        temp=data.semesterList[i];
                        $('#semester').append('<option value="' + temp['pk'] + '">' + temp['displayText'] + '</option>');
                    }
                }
            });
           }
        });


        $(document).on("change", '#batch', function (e) {
            var batchPk = $(this).val();
            var departmentPk = $('#department').val();
            if (batchPk!=null && departmentPk!=null){
            $.ajax({
                type: "POST",
                data: {
                    batchPk: batchPk,
                    departmentPk:departmentPk,
                    action: 'getSemesters',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'upload_result_file' %}',
                success: function (data) {
                    if (data.semesterList.length == 0) {
                        alert('No semesters');
                    }

                    $('semester').empty();
                    $('#semester').append('<option disabled selected>' + '-----------' + '</option>');
                    var i;
                    var temp;
                    for (i = 0; (temp = data.semesterList[i]); i++) {
                        $('#semester').append('<option value="' + temp['pk'] + '">' + temp['course'] + '</option>');
                    }
                }
            
            });
           }
        });


        $(document).on("change", '#semester', function (e) {
             marker = $('<span />').insertBefore('#xlsheet1');
                $('#xlsheet1').detach().attr('type', 'file').insertAfter(marker);
                marker.remove();
                marker = $('<span />').insertBefore('#submit1');
                $('#submit1').detach().attr('type','submit').insertAfter(marker);
                marker.remove();
        });







    </script>

{% endblock %}
